Devart 6.80.325.0 using EntityFramework 4.3.0.0

Discussion of open issues, suggestions and bugs regarding Entity Framework support in ADO.NET Data providers
Post Reply
marty
Posts: 4
Joined: Mon 18 Apr 2011 13:41

Devart 6.80.325.0 using EntityFramework 4.3.0.0

Post by marty » Fri 16 Mar 2012 13:42

I created a new project and did Install-Package; Nuget gives me the latest, EF 4.3.1.0
The latest Devart, Devart 6.80.325.0 is built against 4.3.0.0.

When creating an initial migrations I got an ugly "Exception has been thrown by the target of an invocation." Could not load file or assembly 'EntityFramework, Version=4.3.0.0...

I put a binding redirect in the app.config for EF 4.3.0.0 to 4.3.1.0, and it worked.

You might want to do a build soon which uses EF 4.3.1.0

Shalex
Site Admin
Posts: 8247
Joined: Thu 14 Aug 2008 12:44

Post by Shalex » Wed 21 Mar 2012 17:20

Thank you for your report. We will investigate the issue and notify you about the results. Your workaround is correct.

Shalex
Site Admin
Posts: 8247
Joined: Thu 14 Aug 2008 12:44

Post by Shalex » Fri 23 Mar 2012 11:13

The behaviour is changed: Devart.Data.Oracle.Entity.Migrations.dll is built with the 4.3.1 version of EntityFramework.dll now. We will post here when the corresponding build of dotConnect for Oracle is available for download.

Shalex
Site Admin
Posts: 8247
Joined: Thu 14 Aug 2008 12:44

Post by Shalex » Thu 29 Mar 2012 15:52

New build of dotConnect for Oracle 6.80.332 is available for download now!
It can be downloaded from http://www.devart.com/dotconnect/oracle/download.html (trial version) or from Registered Users' Area (for users with active subscription only).
For more information, please refer to http://www.devart.com/forums/viewtopic.php?t=23775 .

Post Reply